Name: previews-reader
Version: 0.5.2
Release: 1%{?dist}
BuildArch: noarch
BuildRequires: desktop-file-utils
Summary: A GNOME interface for reading the Diamond Comics Previews catalog

Group: Applications/Productivity
License: GPLv2+
Source: http://www.krakoa.dk/progs/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.krakoa.dk/linux-software.html
# TODO: add correct requires (pygtk, etc.)
Requires: python-reportlab

%description
Previews Reader

A GNOME interface for reading the Diamond Comics Previews catalog


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#fix permission
find $RPM_BUILD_ROOT/%{_datadir}/%{name} -type f -name *.py | xargs chmod 0755 || true

desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --delete-original \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/previews-reader.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/%{name}


%changelog
* Thu Jun 12 2008 Mads Villadsen <maxx@krakoa.dk> - 0.5.0-1
- Version bump

* Sun Jan 6 2008 Mads Villadsen <maxx@krakoa.dk> - 0.4.5-1
- Version bump
- Update license to GPLv2+

* Tue Apr 10 2007 Mads Villadsen <maxx@krakoa.dk> - 0.4.1-1
- Cleaned up the spec file






